Skip to main content
GET
/
admin
/
tenants
List All Tenants
curl --request GET \
  --url https://api.example.com/admin/tenants \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "tenant_type": "<string>",
    "billing_plan": "<string>",
    "status": "<string>",
    "total_agents": 123,
    "total_calls": 123,
    "calls_this_month": 123,
    "quota_exceeded": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0
tenant_type
string | null

Filter by type: business, developer, admin

status_filter
string | null

Filter by status: active, blocked, suspended

Response

Successful Response

id
string
required
name
string
required
tenant_type
string
required
billing_plan
string
required
status
string
required
total_agents
integer
required
total_calls
integer
required
calls_this_month
integer
required
quota_exceeded
boolean
required
created_at
string<date-time>
required